
import 'dart:async';
import 'package:flutter/services.dart';

class BytedeskPush {
  //
  static const MethodChannel _channel =
      const MethodChannel('bytedesk_push');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  // 调用小米推送注册接口
  static void register(String appId, String appKey) async {
    Map<String, Object> params = { "appId" : appId, "appKey": appKey };
    await _channel.invokeMethod('xmRegisterPush', params);
  }
  
  //
  static void setUserAccount(String userAccount) async {
    Map<String, Object> params = { "userAccount" : userAccount };
    await _channel.invokeMethod('xmSetUserAccount', params);
  }

  //



}
